/*
	File:		MoreATSUnicodeInternal.h

	Contains:	

	Written by: 	

	Copyright:	Copyright  1998-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				10/14/1999	Andy Daniels	fixed nrequire macro, increased MAX_VARIATIONS
				 7/27/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1				
				 9/01/1998	Andy Daniels	Updated
				 7/01/1998	Eric Simenel	Created
				

*/

#if defined(require)
#undef require
#endif

#if defined(nrequire)
#undef nrequire
#endif

// the do/while forces the user to put a semicolon after the require()
#define require( assertion, exception ) \
	do {																\
		if (assertion) ;												\
		else															\
			goto exception;												\
	} while (false)

#define nrequire( assertion, exception ) \
	do {																\
		if (!(assertion)) ;												\
		else															\
			goto exception;												\
	} while (false)


// set this to use the version of atsuMeasureRotatedTextImage() that uses a scratch layout
#define USE_CONSY_ROTATION 0

// set this to use Appearance 1.1 calls
#define USE_NEW_TOOLBOX_CALLS 1

// change this to have font instances show up in a different style than "real" fonts in the menu.
#define FONT_INSTANCE_MENU_ITEM_STYLE 0

// For simplicity, we don't look at more than this number of variation axes.
#define MAX_VARIATIONS	32
