/*
	File:		TypeServicesForUnicode.h

	Contains:	This is a very simple sample program that demonstrates how to use the new 
				Apple Text Services For Unicode Imaging technology introduced in Mac OS 8.5.

	Written by: 	

	Copyright:	Copyright  1998-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				 7/27/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1				
				 9/01/1998	Andy Daniels	Updated
				 7/01/1998	Eric Simenel	Created
				

*/

#ifndef __TYPESERVICESFORUNICODE__
#define __TYPESERVICESFORUNICODE__
#include <AppleEvents.h>
#include <Windows.h>

void InitializeMac();
void InitializeAppl();
void InstallAppleEventHandlers();
pascal OSErr HandleOapp (AEDescList *aevt, AEDescList *reply, long refCon);
pascal OSErr HandleOdoc (AEDescList *aevt, AEDescList *reply, long refCon);
pascal OSErr HandlePdoc (AEDescList *aevt, AEDescList *reply, long refCon);
pascal OSErr HandleQuit (AEDescList *aevt, AEDescList *reply, long refCon);
Boolean CanUseATSUI();
void MainEventLoop();
void AdjustMenus();
void DoMenuCommand(long menuResult);
void DoUpdateWindow(WindowPtr theWind);
void DoCloseWindow(WindowPtr theWind);
void RecursiveCloseWindow(WindowPeek theWind);
void CloseAllWindows();

#endif
