#   File:       AGHelperApp.make
#   Target:     AGHelperApp
#   Sources:    :Source:AGHelper.c
#               :Source:AGValues.c
#   Created:    Thursday, August 15, 1996 03:37:25 AM


MAKEFILE     = AGHelperApp.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     = 
		-i :Source:
SymPPC      = 
ObjDirPPC   = :objects:
Sym68K      = 
ObjDir68K   = :objects:

PPCCOptions  = {Includes} {SymPPC} 

COptions     = {Includes} {Sym68K} 

ObjectsPPC  = 
		"{ObjDirPPC}AGHelper.c.x" 
		"{ObjDirPPC}AGValues.c.x"

Objects68K  = 
		"{ObjDir68K}AGHelper.c.o" 
		"{ObjDir68K}AGValues.c.o"


AGHelperApp  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c 'AgHp' 
		"{SharedLibraries}InterfaceLib" 
		"{SharedLibraries}StdCLib" 
		"{PPCLibraries}StdCRuntime.o" 
		"{PPCLibraries}AppleGuideGlueLib.xcoff" 
		-librename AppleGuideGlueLib.xcoff=AppleGuideGlueLib 

AGHelperApp  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c 'AgHp' 
		"{Libraries}MacRuntime.o" 
		"{Libraries}Interface.o"


"{ObjDirPPC}AGHelper.c.x"  {MondoBuild} :Source:AGHelper.c 
                             :Source:AGValues.h
	{PPCC} :Source:AGHelper.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}AGValues.c.x"  {MondoBuild} :Source:AGValues.c 
                             :Source:AGValues.h
	{PPCC} :Source:AGValues.c -o {Targ} {PPCCOptions}


"{ObjDir68K}AGHelper.c.o"  {MondoBuild} :Source:AGHelper.c 
                             :Source:AGValues.h
	{C} :Source:AGHelper.c -o {Targ} {COptions}

"{ObjDir68K}AGValues.c.o"  {MondoBuild} :Source:AGValues.c 
                             :Source:AGValues.h
	{C} :Source:AGValues.c -o {Targ} {COptions}

AGHelperApp  {MondoBuild} :Source:AGHelper.r
	Rez :Source:AGHelper.r -o {Targ} {Includes} -append
