/*
	File:		SomeUnicodeStuff.h

	Contains:	Since the purpose of the TypeServicesForUnicode Sample Application is to
				demonstrate the use of Apple Text Services For Unicode Imaging technology
				introduced in Mac OS 8.5, and since we need Unicode text to display,
				the purpose of this header and source code is to deal with this Unicode text.

	Written by: 	

	Copyright:	Copyright  1998-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				 7/27/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1				
				 9/01/1998	Andy Daniels	Updated
				 7/01/1998	Eric Simenel	Created
				

*/
#ifndef __SOMEUNICODESTUFF__
#define __SOMEUNICODESTUFF__

enum {
	kHelloWorldUnicodeText		= 0,
	kSomeLongerUnicodeText		= 1,
	kSomeVeryLongUnicodeText	= 2,
	kSomeMixedUnicodeText		= 3,
	kSomeOtherMixedUnicodeText	= 4,
	kNothingUnicodeText			= 5,
	kSomeMixedAgainUnicodeText	= 6
};

extern Boolean gHasLineControlFeature;

void QuickAndDirtySetUnicodeTextFromASCII_C_Chars(long whichText, UniCharArrayPtr *ucap, UniCharCount *ucc);
void QuickAndDirtySetASCII_C_CharsFromUnicodeText(char **text, UniCharArrayPtr ucap, UniCharCount ucc);

#endif
